WordPress导入数据库出现”Unknown collation: ‘utf8mb4_unicode_ci”错误的解决办法

 更新时间:2015年10月01日 11:35:00   投稿:mrr   我要评论

这篇文章主要介绍了WordPress导入数据库出现”Unknown collation: ‘utf8mb4_unicode_ci”错误的解决办法的相关资料,需要的朋友可以参考下

从WordPress4.2版本开始,如果我们在MYSQL5.1版本数据中导出的数据编码是带有utf8mb4格式的,如果我们搬迁网站复原数据的时候,MYSQL5.5等高版本数据库导入到MYSQL5.1低版本的时候会出现"Unknown collation: 'utf8mb4_unicode_ci"错误问题,以前是没有这个问题的,从WP4.2开始才有的。

要解决这个问题,如果我们使用的VPS/服务器,可以类似老左昨天的"Linux CentOS6环境下MySQL5.1升级至MySQL5.5版本过程"方法进行升级MYSQL数据库版本,这样就不会存在不兼容问题,但是如果我们使用的虚拟主机或者升级MYSQL存在一定的技术活,要是处理错误还真的比较麻烦。我们这里可以在导出数据库的时候选择兼容版本。

第一、备份数据

我们在升级和导入数据之前,需要将已有的主机/服务器中的网站数据进行备份。

第二、导出兼容版本数据库

进入PHPMYADMIN,我们导出数据库的时候看下面界面。

解决WordPress导入数据库”Unknown collation: ‘utf8mb4_unicode_ci”错误

从WordPress4.2版本开始,如果我们在MYSQL5.1版本数据中导出的数据编码是带有utf8mb4格式的,如果我们搬迁网站复原数据的时候,MYSQL5.5等高版本数据库导入到MYSQL5.1低版本的时候会出现"Unknown collation: 'utf8mb4_unicode_ci"错误问题,以前是没有这个问题的,从WP4.2开始才有的。

要解决这个问题,如果我们使用的VPS/服务器,可以类似老左昨天的"Linux CentOS6环境下MySQL5.1升级至MySQL5.5版本过程"方法进行升级MYSQL数据库版本,这样就不会存在不兼容问题,但是如果我们使用的虚拟主机或者升级MYSQL存在一定的技术活,要是处理错误还真的比较麻烦。我们这里可以在导出数据库的时候选择兼容版本。

第一、备份数据

我们在升级和导入数据之前,需要将已有的主机/服务器中的网站数据进行备份。

第二、导出兼容版本数据库

进入PHPMYADMIN,我们导出数据库的时候看下面界面。

解决WordPress导入数据库"Unknown collation: 'utf8mb4_unicode_ci"错误

选择自定义导出方式。

wp-utf8mb4-3

看上图,在最大程度兼容数据库选项中选择MYSQL40,然后导出数据库我们再导入到低版本的MYSQL中是没有问题的。如果有出现乱码问题,我们将:

复制代码 代码如下:

define('DB_CHARSET', 'utf8mb4');

改成

复制代码 代码如下:

define('DB_CHARSET', 'utf-8');

因为utf8mb4需要在5.5以上版本兼容,如果我们是新安装VPS网站环境,建议还是直接将MYSQL安装/升级到5.5及以上版本,这样就不至于出现这样的问题。

以上内容就是本文给大家介绍的有关WordPress导入数据库出现”Unknown collation: ‘utf8mb4_unicode_ci”错误的解决办法,希望对大家有所帮助。

相关文章

最新评论